package com.netmera.netmera_flutter_sdk;

import com.google.gson.annotations.SerializedName;
import com.netmera.NetmeraEvent;

import java.util.Map;

/**
 * Copyright (c) 2019 Inomera Research.
 * @author Burak Soykal
 */
public class FNetmeraEvent extends NetmeraEvent {

    @SerializedName("prms")
    private Map<String, Object> eventParameters;

    private String code;

    public void setEventParameters(Map<String, Object> eventParameters) {
        this.eventParameters = eventParameters;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    protected String eventCode() {
        return code;
    }
}