/**
 * Copyright (c) 2019 Inomera Research.
 * @author Burak Soykal
 */

#import "FNetmeraCategoryFilter.h"

@implementation FNetmeraCategoryFilter

+(NetmeraInboxCategoryFilter*) getCategoryObject: (FlutterMethodCall*) call{
    NetmeraInboxCategoryFilter *filter = [[NetmeraInboxCategoryFilter alloc] init];
    NSDictionary* inboxDictionary = call.arguments;
    
    if(inboxDictionary[@"status"]){
        NetmeraInboxStatus netmeraInboxStatus =[inboxDictionary[@"status"] integerValue];
        filter.status = netmeraInboxStatus;
    }
    
    if(inboxDictionary[@"pageSize"]){
        filter.pageSize = [inboxDictionary[@"pageSize"] intValue];
    }
    
    if(inboxDictionary[@"includeExpiredObjects"]){
        filter.shouldIncludeExpiredObjects = [inboxDictionary[@"includeExpiredObjects"] boolValue];
    }
    
    return filter;
}

@end



