///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraInboxFilter {
  NetmeraInboxFilter();

  int? _pageSize;
  int? _status;
  List<String>? _categories;
  bool? _includeExpiredObjects;

  int? getPageSize() => _pageSize;

  setPageSize(int value) {
    _pageSize = value;
  }

  int? getStatus() => _status;

  setStatus(int value) {
    _status = value;
  }

  bool? getIncludeExpiredObjects() => _includeExpiredObjects;

  setIncludeExpiredObjects(bool value) {
    _includeExpiredObjects = value;
  }

  List<String>? getCategories() => _categories;

  setCategories(List<String>? value) {
    _categories = value;
  }

  Map<String, dynamic> toJson() => {
        'pageSize': _pageSize,
        'status': _status,
        'categories': _categories,
        'includeExpiredObjects': _includeExpiredObjects,
      };
}
