import 'package:netmera_flutter_sdk/events/NetmeraEvent.dart';

///
/// Copyright (c) 2019 Inomera Research.
/// Author Burak Soykal
///
class NetmeraEventScreenView extends NetmeraEvent {
  @override
  getCode() => "n:sv";

  String? _pageId;
  String? _referrerPageId;
  String? _referrerPageName;
  String? _timeInPage;
  String? _pageName;

  String? getPageId() => _pageId;

  setPageId(String value) {
    _pageId = value;
  }

  String? getReferrerPageId() => _referrerPageId;

  setReferrerPageId(String value) {
    _referrerPageId = value;
  }

  String? getReferrerPageName() => _referrerPageName;

  setReferrerPageName(String value) {
    _referrerPageName = value;
  }

  String? getTimeInPage() => _timeInPage;

  setTimeInPage(String value) {
    _timeInPage = value;
  }

  String? getPageName() => _pageName;

  setPageName(String value) {
    _pageName = value;
  }

  @override
  Map<String, Object?> toJson() {
    Map<String, Object?> map = super.toJson();
    map['ee'] = _pageId;
    map['ef'] = _referrerPageId;
    map['ej'] = _referrerPageName;
    map['el'] = _timeInPage;
    map['ea'] = _pageName;
    return map;
  }
}
